
Summary: ALCATEL SpeedTouch USB ADSL modem user-space driver
Name: speedtouch
Version: 1.5.0
Release: 2.3%{?dist}
Source: firmware-extractor.tar.gz
Source1: ifcfg-ppp0.speedtouch
Source2: speedtouch_install
URL: http://speedtouch.sf.net
License: GPL
Group: System Environment/Kernel
Prefix: %{_prefix}
BuildRoot: %{_builddir}/%{name}-build
Requires: ppp,unzip, pciutils

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package contains 
all the necessary software to use your SpeedTouch USB modem under Linux. It
currently support only PPPoA encapsulation.

This package has been modified to work with Aurox's system-config-adsl.

%prep
%setup -n firmware-extractor

%build
gcc -o firmware-extractor firmware.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/%{name}/

install -m755 firmware-extractor $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/%{name}/firmware-extractor

install -m644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/%{name}/
install -m755 -D %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/speedtouch_install


%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%{_datadir}/adsl-manager-daemon/speedtouch_install
%{_datadir}/adsl-manager-daemon/%{name}/*


%changelog
* Thu Feb 09 2006 Rafal Kwasny <rkwasny@aurox.org> 1.3.1-11.1.aur.2
- new hotplug script

* Thu Feb 02 2006 Karol Kozimor <kkozimor@aurox.org> 1.3.1-11.1.aur.1
- try to fix the mutex leakage

* Tue Aug 09 2005 Rafal Kwasny <rkwasny@aurox.org> 1.3.1-11.0.aur.1
- rebuild

* Wed Apr 27 2005 Aurox Team <aurox@aurox.org>
- Initial release, trimmed original spec a bit.
